## apt 0.8.15.6

=== debian/changelog ===
apt (0.8.15.6) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * test/integration/test-hashsum-verification:
    - add regression test for hashsum verification
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found, still load the hashes for
      verification (closes: #636314) and add test
  
  [ David Kalnischkies ]
  * lots of cppcheck fixes

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 09:20:35 +0200

## apt 0.8.15.8

=== debian/changelog ===
apt (0.8.15.8) unstable; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - output list of virtual package providers to c1out in -q=1
      instead of /dev/null to unbreak sbuild (LP: #816155)
  
  [ Michael Vogt ]
  * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Sep 2011 12:08:25 +0200

apt (0.8.15.7) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc, apt-pkg/pkgcache.cc:
    - ignore "self"-conflicts for all architectures of a package
      instead of just for the architecture of the package look at
      in the ordering of installations, too (LP: #802901)
    - M-A:same lockstep unpack should operate on installed
      packages first (LP: #835625)
  * test/*
    - reorganize the various testcases and helper we have and
      integrate them better into the buildsystem
    - run the test/libapt testcases at package build-time
  * debian/apt.symbols:
    - add the newly added symbols since 0.8.15.3
  * cmdline/apt-get.cc:
    - remove the binary caches in 'apt-get clean' as it is the first
      thing recommend by many supporters in case of APT segfaults
    - remove the caches in 'apt-get update', too, as they will be
      invalid in most cases anyway
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found try to verify with hashes,
      but do not fail if a hash can't be found
  * apt-pkg/acquire.cc:
    - non-existing directories are by definition clean
  * cmdline/apt-key:
    - if command is 'add' do not error out if the specified
      keyring doesn't exist, it will be created by gpg
  * apt-pkg/orderlist.cc:
    - prefer visiting packages marked for deletion in VisitProvides
      if we are operating on a negative dependency so that we can
      deal early with the fallout of this remove
  * apt-pkg/indexrecords.cc:
    - fix Acquire::Max-ValidTime option by interpreting it really
      as seconds as specified in the manpage and not as days
    - add an Acquire::Min-ValidTime option (Closes: #640122)
  * doc/apt.conf.5.xml:
    - reword Acquire::Max-ValidTime documentation to make clear
      that it doesn't provide the new Min-ValidTime functionality

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Sep 2011 16:38:46 +0200

## apt 0.8.15.9

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc test
all headers library clean veryclean binary program doc dirs test:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
	$(MAKE) -C doc $@
	$(MAKE) -C po $@
	$(MAKE) -C test $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h build/doc/Doxyfile makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.8.15.9) unstable; urgency=low

  [ David Kalnischkies ]
  * Symbol file update
  * doc/apt-get.8.xml:
    - change wording of autoremove description as suggested
      by Robert Simmons, thanks! (Closes: #641490)
  * apt-pkg/deb/dpkgpm.cc:
    - use std::vector instead of fixed size arrays to store args and
      multiarch-packagename strings
    - load the dpkg base arguments only one time and reuse them later
  * cmdline/apt-get.cc:
    - follow Provides in the evaluation of saving candidates, too, for
      statisfying garbage package dependencies (Closes: #640590)
  * apt-pkg/algorithms.cc:
    - if a package is garbage, don't try to save it with FixByInstall
  * apt-pkg/init.cc:
    - silently ignore *.orig and *.save files by default
  * apt-pkg/policy.cc:
    - accept generic release pin expressions again in -t (Closes: #644166)
  * apt-pkg/deb/debmetaindex.cc:
    - none is a separator, not a language: no need for Index (Closes: #624218)
  * apt-pkg/aptconfiguration.cc:
    - do not builtin languages only if none is forced (Closes: #643787)
  * doc/apt.conf.5.xml:
    - apply spelling fix by Kevin Lyda, thanks! (Closes: #644104)

  [ Christian Perrier ]
  * Fix spelling error (sensée) in French translation. Thanks
    to Corentin Le Gall for spotting it.

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex

  [ Michael Vogt ]
  * ftparchive/cachedb.cc:
    - make buffer fully dynamic (thanks to Colin Watson)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Oct 2011 12:00:09 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(shell which dpkg-buildflags))
  export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
else
  ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export CXXFLAGS = -O0 -g -Wall
  else
    export CXXFLAGS = -O2 -g -Wall
  endif
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed -e 's/\+.*$$//')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname --machine) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
include buildlib/libversion.mak

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(LIBAPTINST_MAJOR)

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

build: build/build-stamp
build-doc: build/build-doc-stamp

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	@echo "Tests DISABLED"
endif
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir

	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -rf build

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	dh_installdocs -p$@ $(BLD)/docs/design* \
			    $(BLD)/docs/dpkg-tech* \
			    $(BLD)/docs/files* \
			    $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt \
			    doc/style.txt \
			    $(BLD)/doc/doxygen/html
	dh_installexamples -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text \
			    $(BLD)/docs/guide*.html \
			    $(BLD)/docs/offline*.text \
			    $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
apt_MANPAGES = apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
apt: build build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# apt install
#
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_install -p$@ --sourcedir=$(BLD)

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))

	# https has its own package
	rm debian/$@/usr/lib/apt/methods/https

	# move the mirror failure script in place
	#mv debian/$@/usr/bin/apt-report-mirror-failure \
	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	dh_bugfiles -p$@
	dh_lintian -p$@
	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_installlogrotate -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l$(CURDIR)/debian/apt/usr/lib:$(CURDIR)/debian/$@/usr/lib
	dh_gencontrol -p$@ -- -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
apt-utils: build
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installexamples -p$@

	# Install the man pages..
	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt-utils_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt-utils_MANPAGES)))

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l$(CURDIR)/debian/apt/usr/lib:$(CURDIR)/debian/$@/usr/lib
	dh_gencontrol -p$@ -- -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-transport-https: build libapt-pkg-dev
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@ debian/apt-transport-https.README
	dh_installexamples -p$@

	# Install the man pages..
	dh_installman -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l$(CURDIR)/debian/apt/usr/lib:$(CURDIR)/debian/$@/usr/lib
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

configure:
	$(MAKE) configure

really-clean: clean
	-find . -name Makefile.in -print0 | xargs --null --no-run-if-empty -- rm -f
	find -name ChangeLog | xargs rm -f
	rm -f l33ch-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## apt 0.8.15.10

=== debian/changelog ===
apt (0.8.15.10) unstable; urgency=high

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()
  * doc/manpage-style.xml:
    - put <brackets> around email addresses
  * doc/po/de.po:
    - apply typo-fix from Michael Basse, thanks! (LP: #900770)
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

  [ Chris Leick ]
  * German manpage translation update
  * doc/*.xml:
    - find and fix a bunch of misspellings

  [ Program translation updates ]
  * Dutch (Jeroen Schot). Closes: #652230
  * Slovak (Ivan Masar). Closes: #652985
  * Russian (Yuri Kozlov). Closes: #654844
  * Hungarian (Gabor Kelemen). Closes: #655238
  * Polish (Michał Kułach). Closes: #656908
  * Danish (Joe Hansen). Closes: #658643
  * French: replace "étiquetage" by "épinglage" for "pinning"
  
  [ Michael Vogt ]
  * merged patch from lp:~uusijani/apt/uusi-branch: 
     Correct fi translation for hash sum mismatches (lp:420403)
     Thanks to Jani Uusitalo

 -- Michael Vogt <mvo@debian.org>  Tue, 06 Mar 2012 14:14:26 +0100

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/

Package: apt
Architecture: any
Pre-Depends: ${shlibs:Depends}
Depends: debian-archive-keyring, ${misc:Depends}, gnupg
Replaces: manpages-pl (<< 20060617-3~)
Provides: ${libapt-pkg:provides}
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide, for APT, an
 Advanced Package Tool.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt (= ${binary:Version}), apt-utils (= ${binary:Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}, ${misc:Depends}, zlib1g-dev | zlib-dev
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${libapt-inst:provides}
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: APT https transport
 This package contains a APT https transport. It makes it possible to
 use 'deb https://foo distro main' lines in the sources.list.

## apt 0.8.16~exp4

=== debian/changelog ===
apt (0.8.16~exp4) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/pkgcache.h:
    - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
  * apt-pkg/pkgcachegen.cc:
    - Write the file size to the cache
  * apt-pkg/pkgcache.cc:
    - Check that cache is at least CacheFileSize bytes large (LP: #16467)
  
  [ Michael Vogt ]
  * merged latest fixes from debian-sid
  * apt-pkg/cdrom.{cc,h}:
    - cleanup old ABI break avoidance hacks
  * [ABI break] apt-pkg/acquire-item.{cc,h}:
    - cleanup around OptionalIndexTarget and SubIndexTarget
  * [ABI break] merged patch from Jonathan Thomas to have a new
    RecordField() function in the pkgRecorder parser. Many thanks
    Thomas
  * [ABI break] merge patch from Jonathan Thomas to speed up the
    depcache by caching the install-recommends and install-suggests
    values
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Jul 2011 16:57:08 +0200

apt (0.8.16~exp3) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/pkgcache.h:
    - readd All{Foreign,Allowed} as suggested by Julian to
      remain strictly API compatible
  * apt-pkg/acquire*.{cc,h}:
    - try even harder to support really big files in the fetcher by
      converting (hopefully) everything to 'long long' (Closes: #632271)
  * ftparchive/writer.cc:
    - generate all checksums in one run over the file for Release
  * cmdline/apt-get.cc:
    - add an --assume-no option for testing to say 'no' to everything
  * apt-pkg/deb/debmetaindex.cc:
    - add trusted=yes option to mark unsigned (local) repository as trusted
      based on a patch from Ansgar Burchardt, thanks a lot! (Closes: #596498)

  [ Michael Vogt ]
  * merge fixes from the debian/unstable upload
  * merge lp:~mvo/apt/sha512-template to get fixes for the 
    sha1/md5 verifiation (closes: #632520)

 -- Michael Vogt <mvo@debian.org>  Fri, 15 Jul 2011 09:56:17 +0200

apt (0.8.16~exp2) experimental; urgency=low

  [ David Kalnischkies ]
  * [ABI-Break] Implement EDSP in libapt-pkg so that all front-ends which
    use the internal resolver can now be used also with external
    ones as the usage is hidden in between the old API
  * provide two edsp solvers in apt-utils:
    - 'dump' to quickly output a complete scenario and
    - 'apt' to use the internal as an external resolver
  * apt-pkg/pkgcache.h:
    - clean up mess with the "all" handling in MultiArch to
      fix LP: #733741 cleanly for everyone now
  * apt-pkg/depcache.cc:
    - use a boolean instead of an int for Add/Remove in AddStates
      similar to how it works with AddSizes
    - let the Mark methods return if their marking was successful
    - if a Breaks can't be upgraded, remove it. If it or a Conflict
      can't be removed the installation of the breaker fails.
  * cmdline/apt-get.cc:
    - do not discard the error messages from the resolver and instead
      only show the general 'Broken packages' message if nothing else

  [ Stefano Zacchiroli ]
  * doc/external-dependency-solver-protocol.txt:
    - describe EDSP and the configuration interface around it
  
  [ Michael Vogt ]
  * [ABI-Break] merge lp:~mvo/apt/sha512-template to add support for sha512
  * [ABI-Break] merge lp:~mvo/apt/dpointer to support easier extending
    without breaking the ABI
  * increase ABI version and update package names

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2011 13:57:28 +0200

apt (0.8.16~exp1) experimental; urgency=low

  * merged with the debian/unstable upload

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2011 12:40:31 +0200

apt (0.8.15.5) UNRELEASED; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - do not assume that the last char on a line is a \n (Closes: #633350)

 -- David Kalnischkies <kalnischkies@gmail.com>  Wed, 27 Jul 2011 23:25:45 +0200

apt (0.8.15~exp3) experimental; urgency=low

  * debian/control:
    - add Breaks: 0.8.15~exp3) for libapt-pkg4.10 and 
     libapt-inst1.2 (thanks to Jonathan Nieder, closes: #630214)
    - use depends for the ${shlibs:Depends} to make the breaks work

 -- Michael Vogt <mvo@debian.org>  Fri, 17 Jun 2011 21:51:41 +0200

apt (0.8.15~exp2) experimental; urgency=low

  * debian/control:
    - fix incorrect Replaces (closes: #630204) for libapt-inst1.2

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Jun 2011 16:51:14 +0200

apt (0.8.15~exp1) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/depcache.cc:
    - Really release action groups only once (Closes: #622744)
    - Make purge work again for config-files (LP: #244598) (Closes: #150831)
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)
  * debian/apt.cron.daily:
    - Check power after wait, patch by manuel-soto (LP: #705269)
  * debian/control:
    - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
      unpacked if a library is too old and thus break upgrades
  * doc/apt-key.8.xml:
    - Document apt-key net-update (LP: #192810)

  [ Christian Perrier ]
  * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
  * Italian translation update (Milo Casagrande). Closes: #627834
  * German documentation translation update (Chris Leick). Closes: #629949

  [ David Kalnischkies ]
  * fix a bunch of cppcheck warnings/errors based on a patch by
    Niels Thykier, thanks! (Closes: #622805)
  * apt-pkg/depcache.cc:
    - really include 'rc' packages in the delete count by fixing a
      typo which exists since 1999 in the source… (LP: #761175)
    - if critical or-group can't be satisfied, exit directly.
  * apt-pkg/acquire-method.cc:
    - write directly to stdout instead of creating the message in


=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev,
 gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), 
 zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, 
 po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/

Package: apt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
Replaces: manpages-pl (<< 20060617-3~)
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
Description: APT's commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg4.11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APT's package managment runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst1.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APT's deb package format runtime library
 This library provides methods to query and extract information 
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev | zlib-dev
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APT utility programs
 This package contains some less used commandline utilities related
 to package managment with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: https download transport for APT
 This package enables the usage of 'deb https://foo distro main' lines
 in the /etc/apt/sources.list so that all package managers using the
 libapt-pkg library can access metadata and packages available in sources
 accessable over https (Hypertext Transfer Protocol Secure).
 .
 This transport supports server as well as client authenification
 with certificates.

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 endif
 
 # APT Programs in apt-utils
-APT_UTILS=ftparchive sortpkgs extracttemplates
+APT_UTILS=ftparchive sortpkgs extracttemplates internal-solver
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -70,9 +70,9 @@
 # Find the libapt-pkg major version for use in other control files
 include buildlib/libversion.mak
 
-# Determine which package we should provide in the control files
-LIBAPTPKG_PROVIDE=libapt-pkg$(LIBAPTPKG_MAJOR)
-LIBAPTINST_PROVIDE=libapt-inst$(LIBAPTINST_MAJOR)
+# Determine which library package names to use
+LIBAPT_PKG=libapt-pkg$(LIBAPTPKG_MAJOR)
+LIBAPT_INST=libapt-inst$(LIBAPTINST_MAJOR)
 
 # do not fail as we are just experimenting with symbol files for now
 export DPKG_GENSYMBOLS_CHECK_LEVEL=0
@@ -97,11 +97,10 @@
 build/build-stamp: build/configure-stamp
 	# Add here commands to compile the package.
 	$(MAKE) binary
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	$(MAKE) test
-else
-	@echo "Tests DISABLED"
-endif
+	# compat symlink for the locale split
+	mkdir -p build/usr/share 
+	cd build/usr/share && ln -f -s ../../locale .
+	# done here
 	touch $@
 
 build/build-doc-stamp: build/configure-stamp
@@ -139,7 +138,7 @@
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
-	dh_gencontrol -p$@ -- -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
+	dh_gencontrol -p$@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
@@ -167,7 +166,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
+binary-arch: $(LIBAPT_PKG) $(LIBAPT_INST) apt libapt-pkg-dev apt-utils apt-transport-https
 apt_MANPAGES = apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
 apt: build build-doc
 	dh_testdir -p$@
@@ -187,7 +186,7 @@
 	dh_install -p$@ --sourcedir=$(BLD)
 
 	# Remove the bits that are in apt-utils
-	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))
+	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS) dump-solver)
 
 	# https has its own package
 	rm debian/$@/usr/lib/apt/methods/https
@@ -207,10 +206,9 @@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
-	dh_makeshlibs -p$@
-	dh_installdeb -p$@
-	dh_shlibdeps -p$@ -l$(CURDIR)/debian/apt/usr/lib:$(CURDIR)/debian/$@/usr/lib
-	dh_gencontrol -p$@ -- -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
+	dh_installdeb -p$@
+	dh_shlibdeps -p$@
+	dh_gencontrol -p$@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
@@ -229,7 +227,7 @@
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
-	dh_gencontrol -p$@ -- -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
+	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
@@ -241,8 +239,10 @@
 	dh_installdirs -p$@
 
 	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
-
-	dh_install -p$@ --sourcedir=$(BLD)
+	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump
+
+	dh_install -p$@ --sourcedir=$(BLD)
+	dh_link -p$@
 	dh_installdocs -p$@
 	dh_installexamples -p$@
 
@@ -255,8 +255,46 @@
 	dh_fixperms -p$@
 	dh_makeshlibs -p$@
 	dh_installdeb -p$@
-	dh_shlibdeps -p$@ -l$(CURDIR)/debian/apt/usr/lib:$(CURDIR)/debian/$@/usr/lib
-	dh_gencontrol -p$@ -- -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
+	dh_shlibdeps -p$@
+	dh_gencontrol -p$@
+	dh_md5sums -p$@
+	dh_builddeb -p$@
+
+$(LIBAPT_PKG): build
+	dh_testdir -p$@
+	dh_testroot -p$@
+	dh_prep -p$@
+	dh_installdirs -p$@
+
+	dh_install -p$@ --sourcedir=$(BLD)
+	dh_installdocs -p$@
+	dh_installchangelogs -p$@
+	dh_strip -p$@
+	dh_compress -p$@
+	dh_fixperms -p$@
+	dh_makeshlibs -p$@
+	dh_installdeb -p$@
+	dh_shlibdeps -p$@ 
+	dh_gencontrol -p$@
+	dh_md5sums -p$@
+	dh_builddeb -p$@
+
+$(LIBAPT_INST): build
+	dh_testdir -p$@
+	dh_testroot -p$@
+	dh_prep -p$@
+	dh_installdirs -p$@
+
+	dh_install -p$@ --sourcedir=$(BLD)
+	dh_installdocs -p$@
+	dh_installchangelogs -p$@
+	dh_strip -p$@
+	dh_compress -p$@
+	dh_fixperms -p$@
+	dh_makeshlibs -p$@
+	dh_installdeb -p$@
+	dh_shlibdeps -p$@ 
+	dh_gencontrol -p$@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
@@ -276,20 +314,3 @@
 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
-	dh_fixperms -p$@
-	dh_installdeb -p$@
-	dh_shlibdeps -p$@ -l$(CURDIR)/debian/apt/usr/lib:$(CURDIR)/debian/$@/usr/lib
-	dh_gencontrol -p$@
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-configure:
-	$(MAKE) configure
-
-really-clean: clean
-	-find . -name Makefile.in -print0 | xargs --null --no-run-if-empty -- rm -f
-	find -name ChangeLog | xargs rm -f
-	rm -f l33ch-stamp
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary

## apt 0.8.16~exp5

=== debian/changelog ===
apt (0.8.16~exp5) experimental; urgency=low

  * merged the latest debian-sid fixes
  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * apt-pkg/acquire-item.{cc,h}:
    - do not check for a "Package" tag in optional index targets
      like the translations index
  * apt-pkg/acquire.cc:
    - fix potential divide-by-zero
  * methods/mirror.cc:
    - include the architecture(s) in the query string as well so 
      that the server can make better decisions

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 14:52:54 +0200

## apt 0.8.16~exp5ubuntu13

=== debian/changelog ===
apt (0.8.16~exp5ubuntu13) oneiric; urgency=low

  [ Adam Conrad ]
  * On armel, call update-apt-xapian-index with '-u' to keep the CPU
    and I/O usage low.  We would do this on all arches, but there's a
    regression risk here, but that's better than killing slow systems.
  
  [ Michael Vogt ]
  * cmdline/apt-key:
    - fix apt-key net-update, thanks to Marc Deslauriers and 
      Adam Conrad for the code review (LP: #857472)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Oct 2011 16:14:41 +0200

apt (0.8.16~exp5ubuntu12) oneiric; urgency=low

  [ David Kalnischkies ]  
  * apt-pkg/deb/deblistparser.cc:
    - fix crash when the dynamic mmap needs to be remapped during
      LoadReleaseInfo (LP: #854090)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Sep 2011 13:31:11 +0200

apt (0.8.16~exp5ubuntu11) oneiric; urgency=low

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex
  
  [ Marc Deslauriers ]
  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is insecure.
    - cmdline/apt-key: exit immediately out of net_update().
    - CVE number pending

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Sep 2011 17:30:45 +0200

apt (0.8.16~exp5ubuntu10) oneiric; urgency=low

  * methods/https.cc:
    - cleanup broken downloads properly (just like http)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Sep 2011 18:26:13 +0200

apt (0.8.16~exp5ubuntu9) oneiric; urgency=low

  [ Michael Vogt ]
  * apt-pkg/acquire-item.h, apt-pkg/deb/debmetaindex.cc:
    - fix fetching translated package descriptions (including the newly
      stripped out english ones) by adding OptionalSubIndexTarget

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found try to verify with hashes,
      but do not fail if a hash can't be found
  * apt-pkg/indexrecords.cc:
    - fix Acquire::Max-ValidTime option by interpreting it really
      as seconds as specified in the manpage and not as days
    - add an Acquire::Min-ValidTime option (Closes: #640122)
  * doc/apt.conf.5.xml:
    - reword Acquire::Max-ValidTime documentation to make clear
      that it doesn't provide the new Min-ValidTime functionality

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Sep 2011 09:50:16 +0200

apt (0.8.16~exp5ubuntu8) oneiric; urgency=low

  * cherry pick r1825 from lp:~mvo/apt/mvo:
    * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options

  * cherry pick r2165 from lp:~donkult/apt/sid:
    [ David Kalnischkies ]
    * cmdline/apt-get.cc:
      - output list of virtual package providers to c1out in -q=1
        instead of /dev/null to unbreak sbuild (LP: #816155)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 18:23:09 +0200

apt (0.8.16~exp5ubuntu7) oneiric; urgency=low

  [ Michael Vogt ]
  * cherry pick revision 2173 from lp:~donkult/apt/sid
  
  [ David Kalnischkies ]
  - M-A:same lockstep unpack should operate on installed
    packages first (LP: #835625)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 09:03:33 +0200

apt (0.8.16~exp5ubuntu6) oneiric; urgency=low

  [ Michael Vogt 
  * merged lp:~jr/ubuntu/oneiric/apt/bzr-get-rename, thanks to
    Jonathan Riddell
  
  [ David Kalnischkies ]
  * lots of cppcheck fixes
  * apt-pkg/packagemanager.cc, apt-pkg/pkgcache.cc:
    - ignore "self"-conflicts for all architectures of a package
      instead of just for the architecture of the package locked at
      in the ordering of installations too (Closes: #802901)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Aug 2011 11:32:58 +0200

apt (0.8.16~exp5ubuntu5) oneiric; urgency=low

  * debian/control:
    - fix VCS location
  * methods/mirror.cc:
    - include the architecture(s) in the query string as well so 
      that the server can make better decisions

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 18:03:19 +0200

apt (0.8.16~exp5ubuntu4) oneiric; urgency=low

  * Merge change from Robert Collins to upgrade ubuntu-keyring recommends
    to a hard dependency to match Debian behaviour and fix LP: #816606

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 09 Aug 2011 14:48:24 -0600

apt (0.8.16~exp5ubuntu3) oneiric; urgency=low

  * apt-pkg/acquire.cc:
    - fix potential divide-by-zero (LP: #823277)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Aug 2011 15:56:44 +0200

apt (0.8.16~exp5ubuntu2) oneiric; urgency=low

  * test/integration/test-hashsum-verification:
    - add regression test for hashsum verification
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found, still load the hashes for
      verification (closes: #636314) and add test
  * apt-pkg/pkgcachegen.cc:
    - fix incorrect comparision when checking sources.list freshness

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Aug 2011 09:22:14 +0200

apt (0.8.16~exp5ubuntu1) oneiric; urgency=low

  * merged new version from debian/experimental, this includes
    a ABI break and two new library packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:30:07 +0200

apt (0.8.16~exp5) UNRELEASED; urgency=low

  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Jul 2011 13:44:01 +0200

apt (0.8.15.5ubuntu1) oneiric; urgency=low

  * apt-pkg/pkgcachegen.{cc,h}:
    - fix crash when P.Arch() was used but the cache got remapped
      (LP: #812862)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Aug 2011 15:18:50 +0200

apt (0.8.15.4ubuntu2) oneiric; urgency=low

  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Julian Andres Klode <jak@debian.org>
@@ -9,14 +10,15 @@
 Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev,
  gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), 
  zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, 
- po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
+ po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen,
+ gcc-4.6 (>= 4.6.0-6ubuntu2)
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/
+Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
+Vcs-Browser: http://code.launchpad.net/apt/ubuntu
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
+Depends: ubuntu-keyring, ${shlibs:Depends}, ${misc:Depends}, gnupg
 Replaces: manpages-pl (<< 20060617-3~)
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt

## apt 0.8.16~exp5ubuntu13.6

=== debian/changelog ===
apt (0.8.16~exp5ubuntu13.6) oneiric-security; urgency=low

  * SECURITY UPDATE: change permissions of 
    /var/log/apt/term.log to 0640 (LP: #975199)
    - CVE-2012-0961

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2012 15:27:51 +0100

apt (0.8.16~exp5ubuntu13.5) oneiric-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is still insecure
    - cmdline/apt-key: exit 1 immediately in net_update()
    - CVE-2012-0954
    - LP: #1013639

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Jun 2012 08:00:43 -0500

apt (0.8.16~exp5ubuntu13.4) oneiric-security; urgency=low

  * adjust apt-key to ensure no collisions on subkeys too. Patch thanks to
    Marc Deslauriers. (LP: #1013128)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jun 2012 11:31:28 -0500

apt (0.8.16~exp5ubuntu13.3) oneiric-proposed; urgency=low

  [ Jean-Louis Dupond ]
  * Backport fixes from precise verison of apt, to fix multiarch upgrades
    from oneiric.
  * apt-pkg/depcache.cc:
    - prefer native providers over foreigns even if the chain is foreign.
      (LP: #850264)
  * cmdline/apt-get.cc: 
    - ignore foreign architectures if we check if a provides has only one 
      resolver as it's basically the same for the user, so no need to choose.
  * apt-pkg/deb/deblistparser.cc:
    - M-A: foreign packages provide for other archs, too

  [ Colin Watson ]
  * Include 0.8.16~exp5ubuntu13.1 patches.
  * apt-pkg/algorithms.cc: Iterate Breaks the same way as Conflicts, so that
    we resolve virtual package Breaks more effectively (LP: #922485).
  * apt-pkg/algorithms.{cc,h}: Use an int to represent resolver scores, not
    a signed short, because large upgrades can result in an overflow for
    core packages (LP: #917173).

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 17 Apr 2012 14:43:00 +0200

apt (0.8.16~exp5ubuntu13.2) oneiric-security; urgency=low

  * SECURITY UPDATE: trust bypass via stale InRelease file (LP: #947108)
    - CVE-2012-0214
  * This packages does _not_ contain the changes from 0.8.16~exp5ubuntu13.1
    in oneiric-proposed.

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Mar 2012 10:51:50 -0500

## apt 0.8.16~exp5ubuntu13.7

=== debian/changelog ===
apt (0.8.16~exp5ubuntu13.7) oneiric-security; urgency=low

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051

  [ David Kalnischk ]
  [ Michael Vogt ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2013 11:32:35 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
+
+# build in verbose mode by default to make it easy to diangose issues
+export NOISY=1
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -177,6 +180,8 @@
 # apt install
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
+	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
@@ -304,13 +309,3 @@
 	dh_prep -p$@
 	dh_installdirs -p$@
 
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@ debian/apt-transport-https.README
-	dh_installexamples -p$@
-
-	# Install the man pages..
-	dh_installman -p$@
-
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@

## apt 0.8.16~exp6

=== debian/changelog ===
apt (0.8.16~exp6) experimental; urgency=low

  [ Christopher Baines ]
  * enable APT in unpack/configure ordering to handle loops as well
    as tight dependencies between immediate packages better
    enabling also the possibility to mark all packages as immediate
    (at least Closes: #353290, #540227, #559733, #621836, #639290)

  [ David Kalnischkies ]
  * [abi-break] Support large files in the complete toolset. Indexes of this
    size are pretty unlikely for now, but we need it for deb
    packages which could become bigger than 4GB now (LP: #815895)
  * merged the debian-sid branch
  
  [ Michael Vogt ]
  * bump ABI version

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Sep 2011 21:06:51 +0200
